import yaml
from dynaconf import Dynaconf

DEFAULT_SETTINGS = "/etc/kylin-system-updater/settings-default.yaml"

RUN_SETTINGS = "/var/cache/kylin-system-updater/settings.yaml"
#  相关使用文档查看 https://www.dynaconf.com/
settings = Dynaconf(
    settings_files=[
        DEFAULT_SETTINGS,
        RUN_SETTINGS,
    ],
)
def settings_to_file():
    data = settings.as_dict()
    with open(RUN_SETTINGS, "w") as file:
        yaml.dump(data, file, default_flow_style=False, allow_unicode=True)
